ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmytro Grinenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21759) yumrpm provider doesn't parses installed packages in a same way on different CentOS versions
Date Sat, 19 Aug 2017 02:49:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21759?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmytro Grinenko updated AMBARI-21759:
-------------------------------------
    Attachment: AMBARI-21759.patch

> yumrpm provider doesn't parses installed packages in a same way on different CentOS versions
> --------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-21759
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21759
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-sever
>    Affects Versions: 2.6.0
>            Reporter: Dmytro Grinenko
>            Assignee: Dmytro Grinenko
>            Priority: Critical
>             Fix For: 2.6.0
>
>         Attachments: AMBARI-21759.patch
>
>
> the command: 
> {code}
> yum list installed | grep "HDP-2.5-repo-1"|tr '\n' '#' | sed -e 's/# / /g' | tr '#' '\n'|awk
'{printf "%s;%s;%s\n", $1,$2,$3}'
> hdp-select.noarch;2.5.0.0-1237.el6;@HDP-2.5-repo-1
> {code}
> can provide wrong output, depends on yum/centos version. We should use the old way for
parsing yum output



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message